@echo off
if "%OS%" == "Windows_NT" setlocal

SET N_MIN=4
SET N_MAX=256
SET COUNT=0

@echo Usage: Plug in USB cable and wait until the RUN LED is on
@echo Port range: COM%N_MIN% - COM%N_MAX%
@echo.

FOR /L %%N IN (%N_MIN%,1,%N_MAX%) DO (call :detect %%N)
goto :end

:detect
bin-win32\prog_apps.exe -d \\.\com%1 > nul
IF %ERRORLEVEL% == 0 (call :detected %%1)
goto :eof

:detected
@echo Turbo Programmer detected on COM%1
set /A COUNT+=1
goto :eof

:end
IF %COUNT% == 0 echo No Turbo Programmer detected
@echo.

if "%OS%" == "Windows_NT" endlocal