@echo off

if [%1]==[] (
@echo Usage: install_firmware.bat [device]
exit /b
) 

if "%OS%" == "Windows_NT" setlocal
set PARAM_DEV=-d \\.\%1 

@echo Expecting Turbo Programmer on port %1
@echo Press CTRL+C for exit

@echo.
@echo 1. Unplug USB cable from programmer 
@echo 2. Switch the jumper to flashing position
@echo 3. Plug in USB cable and wait until the PFW LED is on 
@pause

@echo.
cd bin-win32
prog_update_fw.exe %PARAM_DEV%  ..\firmware\tprog_kernel-3.1.1.bin 
cd ..

@echo.
@echo 4. Unplug USB cable from programmer
@echo 5. Switch the jumper back to normal position 
@echo 6. Plug in USB cable and wait until the RUN LED is on 
@pause

@echo.
bin-win32\prog_apps.exe %PARAM_DEV%

@echo.
@echo Now load modules with "install_modules"

if "%OS%" == "Windows_NT" endlocal
